angular.module('tgaApp').config(['$locationProvider', '$stateProvider', '$urlRouterProvider', 'gameConfig',
  function ($locationProvider, $stateProvider, $urlRouterProvider, gameConfig) {
    // AngularUI Router uses the concept of states
    // Learn more here: https://github.com/angular-ui/ui-router
    // Set up the various states which the app can be in.
    // Each state's controller can be found in controllers.js
    $stateProvider
      // setup an abstract state for the main view that includes tabs
      .state('game', {
        url: '/:slug',
        templateUrl: 'templates/views/root.html',
        data: {
          title: gameConfig.title,
        },
      });
    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/');
    $locationProvider.html5Mode({
      requireBase: false,
      enabled: true,
    });
  },
]);
