/* eslint-disable no-undef */
angular.module('avatarModule')
  .filter('unsafe', ['$sce', function ($sce) {
    return function (val) {
      return $sce.trustAsHtml(val);
    };
  }])
  .filter('camelCase', () => function (input) {
    const text = input.replace(/[-_\s.]+(.)?/g, (_, c) => (c ? c.toUpperCase() : ''));
    return text.substr(0, 1).toLowerCase() + text.substr(1);
  })
  .filter('addSpacesToTitleCase', () => function (input) {
    return input.replace(/([A-Z])/g, ' $1').trim();
  });
