/* eslint-disable no-use-before-define */
/* eslint-disable max-len */
angular.module('avatarModule').service('AvatarBackgroundHelper', ['AvatarEnums', 'AvatarColorHelper',
  function (AvatarEnums, AvatarColorHelper) {
    const {
      Background,
    } = AvatarEnums;

    return ({
      getBackgroundSvg,
    });

    function getBackgroundSvg(background, color) {
      switch (background) {
        case Background.CIRCLE:
          return getCircle(color);
        case Background.TRANSPARENT:
          return '';
        default:
          return '';
      }
    }

    function getCircle(color) {
      return `
      <g
      id="Circle"
    stroke-width="1"
    fill-rule="evenodd"
    transform="translate(12.000000, 40.000000)">
    <mask id="mask-2" fill="white">
    <use href="#path-1" />
      </mask>
      <use
    id="Circle-Background"
    fill="#E6E6E6"
    href="#path-1"
    />
    <g
      id="Color/Palette/Blue-01"
    mask="url(#mask-2)"
    fill="${AvatarColorHelper.getBackgroundColorHex(color)}">
    <rect id="pen-Color" x="0" y="0" width="240" height="240" />
      </g>
      </g>
      <mask id="mask-4" fill="white"> <use href="#path-3" /></mask>
      `;
    }
  }]);
