angular.module('avatarModule').component('avatar', {
  template: `
    <div id="avatar" ng-bind-html="$ctrl.render() | unsafe"></div>
    `,
  controller: ['$scope', 'AvatarHelper', 'AvatarOptions',
    function ($scope, AvatarHelper, AvatarOptions) {
      AvatarOptions.setRandom();
      this.render = () => AvatarHelper.getSvg(AvatarOptions.get());
    }],
});
