/* eslint-disable max-len */
angular.module('avatarModule').constant('AvatarEnums', {
  Accessories: {
    NONE: 'none',
    KURT: 'kurt',
    PRESCRIPTION1: 'prescription01',
    PRESCRIPTION2: 'prescription02',
    ROUND: 'round',
    SUNGLASSES: 'sunglasses',
    WAYFARERS: 'wayfarers',
  },

  Background: {
    CIRCLE: 'circle',
    TRANSPARENT: 'transparent',
  },

  BackgroundColor: {
    BLACK: 'black',
    BLUE1: 'blue1',
    BLUE2: 'blue2',
    BLUE3: 'blue3',
    GRAY1: 'gray1',
    GRAY2: 'gray2',
    HEATHER: 'heather',
    PASTEL_BLUE: 'pastel_blue',
    PASTEL_GREEN: 'pastel_green',
    PASTEL_ORANGE: 'pastel_orange',
    PASTEL_RED: 'pastel_red',
    PASTEL_YELLOW: 'pastel_yellow',
    PINK: 'pink',
    RED: 'red',
    WHITE: 'white',
  },

  Clothes: {
    BLAZER_SHIRT: 'blazer_shirt',
    BLAZER_SWEATER: 'blazer_sweater',
    COLLAR_SWEATER: 'collar_sweater',
    GRAPHIC_SHIRT: 'graphic_shirt',
    HOODIE: 'hoodie',
    OVERALL: 'overalls',
    SHIRT_CREWNECK: 'shirt_crewneck',
    SHIRT_SCOOPNECK: 'shirt_scoopneck',
    SHIRT_VNECK: 'shirt_vneck',
  },

  ClothesColor: {
    BLACK: 'black',
    BLUE1: 'blue1',
    BLUE2: 'blue2',
    BLUE3: 'blue3',
    GRAY1: 'gray1',
    GRAY2: 'gray2',
    HEATHER: 'heather',
    PASTEL_BLUE: 'pastel_blue',
    PASTEL_GREEN: 'pastel_green',
    PASTEL_ORANGE: 'pastel_orange',
    PASTEL_RED: 'pastel_red',
    PASTEL_YELLOW: 'pastel_yellow',
    PINK: 'pink',
    RED: 'red',
    WHITE: 'white',
  },

  Eyebrows: {
    ANGRY: 'angry',
    ANGRY_NATURAL: 'angry_natural',
    DEFAULT: 'default',
    DEFAULT_NATURAL: 'default_natural',
    FLAT_NATURAL: 'flat_natural',
    RAISED_EXCITED: 'raised_excited',
    RAISED_EXCITED_NATURAL: 'raised_excited_natural',
    SAD_CONCERNED: 'sad_concerned',
    SAD_CONCERNED_NATURAL: 'sad_concerned_natural',
    UNIBROW_NATURAL: 'unibrow_natural',
    UPDOWN: 'updown',
    UPDOWN_NATURAL: 'updown_natural',
  },

  Eyes: {
    CLOSE: 'close',
    CRY: 'cry',
    DEFAULT: 'default',
    DIZZY: 'dizzy',
    EYEROLL: 'eyeroll',
    HAPPY: 'happy',
    HEARTS: 'hearts',
    SIDE: 'side',
    SQUINT: 'squint',
    SURPRISED: 'surprised',
    WINK: 'wink',
    WINKWACKY: 'winkwacky',
  },

  FacialHairColor: {
    AUBURN: 'auburn',
    BLACK: ' black',
    BLONDE: 'blonde',
    BLONDE_GOLDEN: 'blonde_golden',
    BROWN: 'brown',
    BROWN_DARK: 'brown_dark',
    PASTEL_PINK: 'pastel_pink',
    PLATINUM: 'platinum',
    RED: 'red',
    SILVER_RED: 'silver_red',
  },

  FacialHair: {
    NONE: 'none',
    BEARD_MEDIUM: 'beard_medium',
    BEARD_LIGHT: 'beard_light',
    BEARD_MAGESTIC: 'beard_magestic',
    MOUSTACHE_FANCY: 'moustache_fancy',
    MOUSTACHE_MAGNUM: 'moustache_magnum',
  },

  Graphic: {
    BAT: 'bat',
    CUMBIA: 'cumbia',
    DEER: ' deer',
    DIAMOND: 'diamond',
    HOLA: 'hola',
    PIZZA: 'pizza',
    RESIST: 'resist',
    SELENA: 'selena',
    BEAR: 'bear',
    SKULLOUTLINE: 'skulloutline',
    SKULL: 'skull',
  },

  Mouth: {
    CONCERNED: 'concerened',
    DEFAULT: 'default',
    DISBELIEF: 'disbelief',
    EATING: 'eating',
    GRIMACE: 'grimface',
    SAD: 'sad',
    SCREAM_OPEN: 'scream_open',
    SERIOUS: 'serious',
    SMILE: 'smile',
    TONGUE: 'tongue',
    TWINKLE: 'twinkle',
    VOMIT: 'vomit',
  },

  Skin: {
    TANNED: 'tanned',
    YELLOW: 'yellow',
    PALE: 'pale',
    LIGHT: 'light',
    BROWN: 'brown',
    DARK_BROWN: 'dark_brown',
    BLACK: 'black',
  },

  Top: {
    BALD: 'bald',
    EYEPATCH: 'eyepatch',
    HAT: 'hat',
    HIJAB: 'hijab',
    TURBAN: 'turban',
    WINTER_HAT1: 'winter_hat1',
    WINTER_HAT2: 'winter_hat2',
    WINTER_HAT3: 'winter_hat3',
    WINTER_HAT4: 'winter_hat4',
    LONGHAIR_BIGHAIR: 'longhair_bighair',
    LONGHAIR_BOB: 'longhair_bob',
    LONGHAIR_BUN: 'longhair_bun',
    LONGHAIR_CURLY: 'longhair_curly',
    LONGHAIR_CURVY: 'longhair_curvy',
    LONGHAIR_DREADS: 'longhair_dreads',
    LONGHAIR_FRIDA: 'longhair_frida',
    LONGHAIR_FRO: 'longhair_fro',
    LONGHAIR_FROBAND: 'longhair_froband',
    LONGHAIR_NOTTOOLONG: 'longhair_nottoolong',
    LONGHAIRS_HAVEDSIDES: 'longhairs_havedsides',
    LONGHAIR_MIAWALLACE: 'longhair_miawallace',
    LONGHAIR_STRAIGHT: 'longhair_straight',
    LONGHAIR_STRAIGHT2: 'longhair_straight2',
    LONGHAIR_STRAIGHTSTRAND: 'longhair_straightstrand',
    SHORTHAIR_DREADS01: 'shorthair_dreads01',
    SHORTHAIR_DREADS02: 'shorthair_dreads02',
    SHORTHAIR_FRIZZLE: 'shorthair_frizzle',
    SHORTHAIR_SHAGGYMULLET: 'shorthair_shaggymullet',
    SHORTHAIR_SHORTCURLY: 'shorthair_shortcurly',
    SHORTHAIR_SHORTFLAT: 'shorthair_shortflat',
    SHORTHAIR_SHORTROUND: 'shorthair_shortround',
    SHORTHAIR_SHORTWAVED: 'shorthair_shortwaved',
    SHORTHAIR_SIDES: 'shorthair_sides',
    SHORTHAIR_THECAESAR: 'shorthair_thecaesar',
    SHORTHAIR_THECAESARSIDEPART: 'shorthair_thecaesarsidepart',
  },

  HairColor: {
    AURBURN: 'aurburn',
    BLACK: 'black',
    BLONDE: 'blonde',
    BLONDE_GOLDEN: 'blondegolden',
    BROWN: 'brown',
    BROWN_DARK: 'browndark',
    PINK: 'pastelpink',
    PLATINUM: 'platinum',
    RED: 'red',
    SILVER: 'silvergray',
  },

  HatColor: {
    BLACK: 'black',
    BLUE01: 'blue01',
    BLUE02: 'blue02',
    BLUE03: 'blue03',
    GRAY01: 'gray01',
    GRAY02: 'gray02',
    HEATHER: 'heather',
    PASTEL_BLUE: 'pastel_blue',
    PASTEL_GREEN: 'pastel_green',
    PASTEL_ORANGE: 'pastel_orange',
    PASTEL_RED: 'pastel_red',
    PASTEL_YELLOW: 'pastel_yellow',
    PINK: 'pink',
    RED: 'red',
    WHITE: 'white',
  },
});
